Skip to main content
Customers

Create a customer

POST
/customers
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
billingobject
company_namestring
Required string length: 1 - 255
emailstring
Required string length: 1 - 255
first_namestring
Required string length: 1 - 255
last_namestring
Required string length: 1 - 255
match_onenum<string>[]default:["phone","email"]
notestring
Maximum string length: 20000
on_matchenum<string>default:merge
Available options: merge, error, overwrite
phonestring
Required string length: 1 - 40
propertiesobject[]
Maximum array length: 10
sourcestring
Maximum string length: 100
statusenum<string>
Available options: active, inactive
tagsstring[]
Maximum array length: 20

Response

application/json

An existing customer matched and was updated

X-RateLimit-Limitintegerheader

The company's daily request limit.

X-RateLimit-Remainingintegerheader

Requests left in the current daily window.

X-RateLimit-Resetstringheader

When the daily window resets (UTC ISO timestamp).

X-RateLimit-Minute-Limitintegerheader

The company's per-minute request limit.

X-RateLimit-Minute-Remainingintegerheader

Requests left in the current minute.

X-RateLimit-Minute-Resetstringheader

When the minute window resets (UTC ISO timestamp).

archivedbooleanrequired
archived_atstring | nullrequired
assigned_tostring[]required
attachmentsobject[]required
billingobjectrequired
company_namestring | nullrequired
converted_from_lead_idstring | nullrequired
created_atstringrequired
emailstring | nullrequired
first_namestring | nullrequired
idstringrequired
inactive_atstring | nullrequired
last_namestring | nullrequired
lifetime_valuenumberrequired

Collected minus refunded, whole dollars; same figure as the web customer page.

matchedbooleanrequired
noteobject | nullrequired
payment_methodsobject[]required
phonestring | nullrequired
properties(object | null)[]required
sourcestring | nullrequired
statusenum<string>required
Available options: active, inactive
tagsstring[]required
updated_atstringrequired